﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{524C6BC7-BCBE-4895-B94F-FC30A4BEAA36}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CoreSDK.Generation</RootNamespace>
    <AssemblyName>CoreSDK.Generation</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\..\..\..\MySodexo\trunk\MySodexoApp\</SolutionDir>
    <RestorePackages>true</RestorePackages>
    <NuGetPackageImportStamp>732741cb</NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <None Include="Core\Maximus.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="Core\xsd.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
    </None>
    <None Include="packages.config" />
    <None Include="ViewModel\Schemas\ViewModel.Calculation.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Collection.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Command.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Copy.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Encapsulation.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Event.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Features.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Globals.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Property.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.Update.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.xsd">
      <SubType>Designer</SubType>
      <Generator>Maximus</Generator>
      <LastGenOutput>ViewModel.xsd.tt</LastGenOutput>
    </None>
    <None Include="ViewModel\Schemas\ViewModel.xsd.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>ViewModel.xsd</DependentUpon>
      <LastGenOutput>ViewModel.xsd.cs</LastGenOutput>
    </None>
    <None Include="ViewModel\ViewModel.Calculation.tt" />
    <None Include="ViewModel\ViewModel.Collection.tt" />
    <None Include="ViewModel\ViewModel.Command.tt" />
    <None Include="ViewModel\ViewModel.Contract.tt" />
    <None Include="ViewModel\ViewModel.Copy.tt" />
    <None Include="ViewModel\ViewModel.Encapsulation.tt" />
    <None Include="ViewModel\ViewModel.Event.tt" />
    <None Include="ViewModel\ViewModel.Property.tt" />
    <None Include="ViewModel\ViewModel.tt" />
    <None Include="ViewModel\ViewModel.Update.tt" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Core\Maximus.cs">
      <DependentUpon>Maximus.xsd</DependentUpon>
    </Compile>
    <Compile Include="ViewModel\Schemas\ViewModel.xsd.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>ViewModel.xsd.tt</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="System">
      <HintPath>..\..\..\..\..\..\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.5\System.dll</HintPath>
    </Reference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>